# set encoding=utf8
import usb

VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_SWITCH = 1

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
handle = board.open()

while(1) :

	print """---------
Main Menu
---------
1. On-off Light (By light sensor) or Off light By Switch
2. Look after the garden
3. Quit"""

	print "Enter choice : ",
	num = raw_input()

	if num=='1':
		
		req1 = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		req2 = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
		volt = handle.controlMsg(req1, 2, 2)
		volt = ((volt[0]*256)+volt[1]) * 5 / 1023.0
		
	
		if volt < 3.50  :
			handle.controlMsg(req2, 0, None, value = 0x0101)

		if volt < 2 :
			handle.controlMsg(req2, 0, None, value = 0x0102)

		else :
			handle.controlMsg(req2, 0, None, value = 0x0001)
			handle.controlMsg(req2, 0, None, value = 0x0002)
	


	if num =='2':
		req1 = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		volt = handle.controlMsg(req1, 3, 2)
		volt = ((volt[0]*256)+volt[1]) * 5 / 1023.0
		req2 = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT

		if volt > 2 : # ความชื้นน้อยมาก กระพริบเตือน	
			#for i in range (10):
				#handle.controlMsg(req2, 4, None, value=0x0100)
				#handle.controlMsg(req2, 4, None, value=0x0000) 
				#handle.controlMsg(req2, 4, None, value=0x0100)
			handle.controlMsg(req2, 0, None, value=0x0100)  

		else :
			handle.controlMsg(req2, 0, None, value=0x0000)  

	if num =='3':
		quit()


	#req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
	#handle.controlMsg(req, 1, 1)

	#handle.controlMsg(req, 0, None, value=0x0101)

